Subject: Segfault with `M-- M-r' when `scroll-margin' > 0

From: Chong Yidong <[email-masked]>
Date: Sun, 02 Nov 2008 21:23:45 -0500

> Emacs crashes with segmentation fault when I type command `M-- M-r'
> while variable `scroll-margin' has value 1 more more.
>
>  1. $ emacs -Q
>
>  2. C-h r
>
>  3. Don't move the cursor. Set the `scroll-margin' variable:
>
>         M-x set-variable RET scroll-margin RET 4 RET
>
>  4. M-- M-r
>
>         Fatal error (11)Segmentation fault

Hi Martin,

I think this may be a consequence of your 2008-11-02 checkin to src (I
didn't pinpoint the exact change that caused it, though).

Could you check?